﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Styx.Plugins;
using Styx;
using Styx.Common;

namespace CrimsonVialRiposte
{
    public class CrimsonVialRiposte : HBPlugin
    {
        private int SpellId1 = 185311;
        private int SpellId2 = 199754;

        public override string Name
        {
            get { return "Crimson Vial & Riposte"; }
        }
        public override string Author
        {
            get { return "Raaz"; }
        }
        public override Version Version
        {
            get { return new Version(0, 0, 0, 1); }
        }
        public override bool WantButton
        { 
            get { return false; } 
        }
        public override string ButtonText
        {
            get
            {
                return "-";
            }
        }
        public override void Pulse()
        {
            if(StyxWoW.Me.KnowsSpell(SpellId1))
            {
                if (
                    Styx.WoWInternals.WoWSpell.FromId(SpellId1).CooldownTimeLeft <= TimeSpan.Zero && 
                    Styx.WoWInternals.WoWSpell.FromId(SpellId1).CanCast &&
                    !Styx.StyxWoW.Me.Mounted && 
                    Styx.StyxWoW.Me.HealthPercent < 70)
                {
                    Logging.Write("Crimson Vial ACTIVATED!");
                    
                    Styx.WoWInternals.WoWSpell.FromId(SpellId1).Cast();
                }
            }
            else
            {
                Logging.Write("Your character does not know the Talent Crimson Vial");
            }
            if(StyxWoW.Me.KnowsSpell(SpellId2))
            {
                if (
                    Styx.WoWInternals.WoWSpell.FromId(SpellId2).CooldownTimeLeft <= TimeSpan.Zero && 
                    Styx.WoWInternals.WoWSpell.FromId(SpellId2).CanCast &&
		    Styx.StyxWoW.Me.Combat && 
                    !Styx.StyxWoW.Me.Mounted && 
                    Styx.StyxWoW.Me.HealthPercent < 60)
                {
                    Logging.Write("Crimson Vial ACTIVATED!");
                    
                    Styx.WoWInternals.WoWSpell.FromId(SpellId2).Cast();
                }
            }
            else
            {
                Logging.Write("Your character does not know Riposte");
            }
        }
    }
}
